Loading...
Searching...
No Matches
TopologicalTorsionGenerator.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Fingerprints/FingerprintGenerator.h>`
`#include <GraphMol/Fingerprints/FingerprintUtil.h>`

Go to the source code of this file.

## Classes

class | RDKit::TopologicalTorsion::TopologicalTorsionArguments
class | RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >
class | RDKit::TopologicalTorsion::TopologicalTorsionEnvGenerator< OutputType >

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::TopologicalTorsion

## Functions

template<typename OutputType >
RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > * | RDKit::TopologicalTorsion::getTopologicalTorsionGenerator (bool includeChirality=false, uint32_t torsionAtomCount=4, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, bool countSimulation=true, std::uint32_t fpSize=2048, std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, bool ownsAtomInvGen=false)
| Get the Topological Torsion Generator object.